scala.tools.nsc.util

# ClassPath

#### object ClassPath

This module provides star expansion of '-classpath' option arguments, behaves the same as java, see [http://java.sun.com/javase/6/docs/technotes/tools/windows/classpath.html]

Linear Supertypes
AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ClassPath
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### abstract class ClassPathContext [T] extends AnyRef

   A class modeling aspects of a ClassPath which should be propagated to any classpaths it creates.

2. #### class JavaContext extends ClassPathContext[AbstractFile]

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### object DefaultJavaContext extends JavaContext

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def expandDir(extdir: String): List[String]

    Expand dir out to contents, a la extdir

12. #### def expandManifestPath(jarPath: String): List[URL]

    Expand manifest jar classpath entries: these are either urls, or paths relative to the location of the jar.

13. #### def expandPath(path: String, expandStar: Boolean = true): List[String]

    Expand path and possibly expanding stars

14. #### def filter(cp: String, p: (String) ⇒ Boolean): String

    Split the classpath, filter according to predicate, and reassemble.

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def fromPaths(paths: Path*): String

    Join the paths as a classpath

17. #### def fromURLs(urls: URL*): String

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### def isTraitImplementation(name: String): Boolean

    A useful name filter.

22. #### def join(paths: String*): String

    Join classpath using platform-dependent path separator

23. #### def makeAbsolute(cp: String): String

    Make all classpath components absolute.

24. #### def map(cp: String, f: (String) ⇒ String): String

    Split the classpath, apply a transformation function, and reassemble it.

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def specToURL(spec: String): Option[URL]

29. #### def split(path: String): List[String]

    Split classpath using platform-dependent path separator

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toPaths(cp: String): List[Path]

    Split the classpath and map them into Paths

32. #### def toSourceName(f: AbstractFile): String

    From the source file to its identifier.

33. #### def toString(): String

    Definition Classes
      AnyRef → Any

34. #### def toURLs(cp: String): List[URL]

    Split the classpath and map them into URLs

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped